# Creating Reports

WrangleBot supports exporting MetaFile meta data to a Clip Report as a PDF.

{% code lineNumbers="true" %}

```javascript
const reportOptions = {
    
    pathToExport : "/path/to/folder/"
    
    uniqueNames: true, //adds timestamp to the file name
    format: "pdf" //only pdf supported
    template: "clipReport", //only clipReport supported
    
    /* optional */
    reportName: "Report Name"
    logoPath: "/path/to/company/logo",
    credits: "Generic ABC Company LLC" //the name of the asset owner
}

await library.query.metafiles.many({$ids:[...]}).export.report(reportOptions);
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vanrothe.com/wranglebot-engine/api/metalibrary/creating-reports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
